## qscintilla2 2.9.3+dfsg

=== debian/changelog ===
qscintilla2 (2.9.3+dfsg-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Switch libqscintilla2-dev to Architecture: any (Closes: #842590)

  [ Scott Kitterman ]
  * Update symbols file for Qt5 5.7.1 transition (Closes: #844225)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 14 Nov 2016 00:24:06 -0500

qscintilla2 (2.9.3+dfsg-3) unstable; urgency=medium

  * Update symbols from build logs again

 -- Scott Kitterman <scott@kitterman.com>  Fri, 12 Aug 2016 21:40:46 -0400

qscintilla2 (2.9.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * Update symbols files from build logs (Closes: #811984)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 12 Aug 2016 16:58:50 -0400

qscintilla2 (2.9.3+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Update debian/copyright
  * Update symbols from local build log for new upstream and gcc-6
    transition

 -- Scott Kitterman <scott@kitterman.com>  Thu, 04 Aug 2016 02:23:28 -0400

qscintilla2 (2.9.2+dfsg-3) unstable; urgency=medium

  * Update symbols files from build logs for sparc64 (Closes: #806591)
  * Clean up debian/rules to remove obsolete shell leavings

 -- Scott Kitterman <scott@kitterman.com>  Thu, 30 Jun 2016 00:59:24 -0400

qscintilla2 (2.9.2+dfsg-2) unstable; urgency=medium

  * Update symbols files from build logs after Qt 5.6.1 update

 -- Scott Kitterman <scott@kitterman.com>  Sat, 18 Jun 2016 17:47:17 -0400

qscintilla2 (2.9.2+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Scott Kitterman ]
  * Simplify autopkgtest and add test for new python-pyqt5.qsci binary
  * Update debian/watch for new upstream file name pattern
  * New upstream release (Closes: #823137)
     - Repack tarball to remove sourcelss javascript files (doc/html-Qt4Qt5/
       jquery.js)
  * Bump standards version to 3.9.8 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sun, 01 May 2016 22:18:02 -0400
