=== debian/tests/control ===
Tests: python
Depends: python-qscintilla2,
         python3-pyqt4.qsci,
         python-pyqt5.qsci,
         python3-pyqt5.qsci
