## qscintilla2 2.10.2+dfsg

=== debian/changelog ===
qscintilla2 (2.10.2+dfsg-4) unstable; urgency=medium

  * Upload to unstable
  * Bump standards-version to 4.1.3 without further change

 -- Scott Kitterman <scott@kitterman.com>  Tue, 02 Jan 2018 17:13:22 -0500

qscintilla2 (2.10.2+dfsg-3) experimental; urgency=medium

  * Update symbols files from build logs

 -- Scott Kitterman <scott@kitterman.com>  Fri, 22 Dec 2017 17:41:28 -0500

qscintilla2 (2.10.2+dfsg-2) experimental; urgency=medium

  * Mark l10n packages as Section: localization to match archive overrides
  * Update symbols files from build logs

 -- Scott Kitterman <scott@kitterman.com>  Mon, 18 Dec 2017 15:26:14 -0500

qscintilla2 (2.10.2+dfsg-1) experimental; urgency=medium

  * New upstream release
    - Drop patches used to provide a unique library name per Qt version,
      upstream supports now
    - Rename binary packages to match upstream library naming scheme
    - Bump minimum python/python3-sip-dev requirement to (>= 4.19)
    - Update debian/copyright
  * Add 0007-Fix-sip_file-path-detection.patch to fix infinite loop in Python/
    configure.py
  * Add Suggests: libqscintilla2-doc to library and designer plugin packages
  * Bump standards-version to 4.1.2 without further change
  * Update -dbg package priorities to match archive

 -- Scott Kitterman <scott@kitterman.com>  Fri, 15 Dec 2017 19:08:47 -0500

qscintilla2 (2.9.3+dfsg-5) unstable; urgency=medium

  * Team upload.

  [ Scott Kitterman ]
  * Refresh patches after git-dpm to gbp pq conversion

  [ Michael Hudson-Doyle ]
  * Add python3-all to d/tests/control to ensure all supported versions of
    Python 3 are actually installed. (Closes: #864696)

  [ Dmitry Shachnev ]
  * Update symbols files for GCC 7 and Qt 5.9. (Closes: #853628)

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 18 Sep 2017 23:15:31 +0300
