=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python-pyqt5-dbg,
                python-qt4-dev (>= 4.8.3-3~),
                python-sip-dbg,
-               python-sip-dev (>= 4.10),
+               python-sip-dev (>= 4.19),
                python3-all-dbg,
                python3-all-dev (>= 3.1.3-13~),
                python3-pyqt4,
@@ -25,24 +25,23 @@
                python3-pyqt5 (>= 5.3.2+dfsg-2~),
                python3-pyqt5-dbg,
                python3-sip-dbg,
-               python3-sip-dev,
+               python3-sip-dev (>= 4.19),
                qtbase5-dev,
                qttools5-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Section: libs
 X-Python3-Version: >= 3.1
 Homepage: http://www.riverbankcomputing.co.uk/software/qscintilla
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/qscintilla2.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/qscintilla2.git
 
-Package: libqscintilla2-12v5
-Architecture: any
-Depends: libqscintilla2-l10n (>= ${source:Upstream-Version}),
+Package: libqscintilla2-qt4-13
+Architecture: any
+Depends: libqscintilla2-qt4-l10n (>= ${source:Upstream-Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Conflicts: libqscintilla2-12
-Replaces: libqscintilla2-12
+Suggests: libqscintilla2-doc
 Description: Qt4 port of the Scintilla source code editing widget
  QScintilla is a text editor for Qt4 with features especially useful when
  writing and debugging source code. These include support for syntax
@@ -52,11 +51,10 @@
  of proportional fonts, bold and italics, multiple foreground and background
  colours and multiple fonts.
 
-Package: libqscintilla2-12v5-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: libqscintilla2-12v5 (= ${binary:Version}),
+Package: libqscintilla2-qt4-13-dbg
+Section: debug
+Architecture: any
+Depends: libqscintilla2-qt4-13 (= ${binary:Version}),
          ${misc:Depends}
 Description: Qt4 port of the Scintilla source code editing widget (debug)
  QScintilla is a text editor for Qt4 with features especially useful when
@@ -69,14 +67,13 @@
  .
  This package contains the debug extensions.
 
-Package: libqt5scintilla2-12v5
-Architecture: any
-Depends: libqt5scintilla2-l10n (>= ${source:Upstream-Version}),
+Package: libqscintilla2-qt5-13
+Architecture: any
+Depends: libqscintilla2-qt5-l10n (>= ${source:Upstream-Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Conflicts: libqt5scintilla2-12
-Replaces: libqt5scintilla2-12
+Suggests: libqscintilla2-doc
 Description: Qt5 port of the Scintilla source code editing widget
  QScintilla is a text editor for Qt5 with features especially useful when
  writing and debugging source code. These include support for syntax
@@ -86,11 +83,10 @@
  of proportional fonts, bold and italics, multiple foreground and background
  colours and multiple fonts.
 
-Package: libqt5scintilla2-12v5-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: libqt5scintilla2-12v5 (= ${binary:Version}),
+Package: libqscintilla2-qt5-13-dbg
+Section: debug
+Architecture: any
+Depends: libqscintilla2-qt5-13 (= ${binary:Version}),
          ${misc:Depends}
 Description: Qt5 port of the Scintilla source code editing widget (debug)
  QScintilla is a text editor for Qt5 with features especially useful when
@@ -103,12 +99,13 @@
  .
  This package contains the debug extensions.
 
-Package: libqscintilla2-l10n
+Package: libqscintilla2-qt4-l10n
+Section: localization
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: libqscintilla2-12v5
-Replaces: libqscintilla2-8
-Breaks: libqscintilla2-8
+Suggests: libqscintilla2-qt4-13
+Replaces: libqscintilla2-l10n (<< 2.10)
+Breaks: libqscintilla2-l10n (<< 2.10)
 Description: Scintilla source code editing widget for Qt4, translation files
  QScintilla is a text editor for Qt4 with features especially useful when
  writing and debugging source code. These include support for syntax
@@ -116,10 +113,13 @@
  .
  This package contains translations for libqscintilla2.
 
-Package: libqt5scintilla2-l10n
+Package: libqscintilla2-qt5-l10n
+Section: localization
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: libqt5scintilla2-12v5
+Suggests: libqscintilla2-qt5-13
+Replaces: libqt5scintilla2-l10n (<< 2.10)
+Breaks: libqt5scintilla2-l10n (<< 2.10)
 Description: Scintilla source code editing widget for Qt5, translation files
  QScintilla is a text editor for Qt5 with features especially useful when
  writing and debugging source code. These include support for syntax
@@ -127,10 +127,13 @@
  .
  This package contains translations for libqscintilla2.
 
-Package: libqscintilla2-designer
+Package: libqscintilla2-qt4-designer
 Section: misc
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: libqscintilla2-designer (<< 2.10)
+Breaks: libqscintilla2-designer (<<2.10)
+Suggests: libqscintilla2-doc
 Enhances: qt4-designer
 Description: Qt4 Designer plugin for QScintilla 2
  QScintilla is a text editor for Qt4 with features especially useful when
@@ -140,11 +143,25 @@
  This package contains a plugin to use the QScintilla 2 widget in the
  Qt4 UI Designer.
 
-Package: libqscintilla2-designer-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: libqscintilla2-designer (= ${binary:Version}),
+Package: libqscintilla2-designer
+Section: oldlibs
+Architecture: all
+Depends: libqscintilla2-qt4-designer, ${misc:Depends}
+Enhances: qt4-designer
+Description: Qt4 Designer plugin for QScintilla 2 (Transitional package)
+ QScintilla is a text editor for Qt4 with features especially useful when
+ writing and debugging source code. These include support for syntax
+ styling, error indicators, code completion, call tips and margins.
+ .
+ This package contains a plugin to use the QScintilla 2 widget in the
+ Qt4 UI Designer.
+ .
+ This is a dummy transitional package provided to support upgrades.
+
+Package: libqscintilla2-qt4-designer-dbg
+Section: debug
+Architecture: any
+Depends: libqscintilla2-qt4-designer (= ${binary:Version}),
          ${misc:Depends}
 Description: Qt4 Designer plugin for QScintilla 2 (debug)
  QScintilla is a text editor for Qt4 with features especially useful when
@@ -158,10 +175,13 @@
  This package contains the debug extensions for the QScintilla 2 widget in the
  Qt4 UI Designer.
 
-Package: libqt5scintilla2-designer
+Package: libqscintilla2-qt5-designer
 Section: misc
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: libqt5scintilla2-designer (<< 2.10)
+Breaks: libqt5scintilla2-designer (<< 2.10)
+Suggests: libqscintilla2-doc
 Enhances: qt-designer
 Description: Qt5 Designer plugin for QScintilla 2
  QScintilla is a text editor for Qt5 with features especially useful when
@@ -171,11 +191,25 @@
  This package contains a plugin to use the QScintilla 2 widget in the
  Qt5 UI Designer.
 
-Package: libqt5scintilla2-designer-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: libqt5scintilla2-designer (= ${binary:Version}),
+Package: libqt5scintilla2-designer
+Section: oldlibs
+Architecture: all
+Depends: libqscintilla2-qt5-designer, ${misc:Depends}
+Enhances: qt-designer
+Description: Qt5 Designer plugin for QScintilla 2 (Transitional package)
+ QScintilla is a text editor for Qt5 with features especially useful when
+ writing and debugging source code. These include support for syntax
+ styling, error indicators, code completion, call tips and margins.
+ .
+ This package contains a plugin to use the QScintilla 2 widget in the
+ Qt5 UI Designer.
+ .
+ This is a dummy transitional package provided to support upgrades.
+
+Package: libqscintilla2-qt5-designer-dbg
+Section: debug
+Architecture: any
+Depends: libqscintilla2-qt5-designer (= ${binary:Version}),
          ${misc:Depends}
 Description: Qt5 Designer plugin for QScintilla 2 (debug)
  QScintilla is a text editor for Qt5 with features especially useful when
@@ -189,13 +223,16 @@
  This package contains the debug extensions for the QScintilla 2 widget in the
  Qt5 UI Designer.
 
-Package: libqscintilla2-dev
+Package: libqscintilla2-qt4-dev
 Section: libdevel
 Architecture: any
-Depends: libqscintilla2-12v5 (<< ${source:Upstream-Version}+1~),
-         libqscintilla2-12v5 (>= ${source:Upstream-Version}),
+Depends: libqscintilla2-qt4-13 (<< ${source:Upstream-Version}+1~),
+         libqscintilla2-qt4-13 (>= ${source:Upstream-Version}),
          libqt4-dev,
          ${misc:Depends}
+Provides: libqscintilla2-dev
+Replaces: libqscintilla2-dev (<< 2.10)
+Breaks: libqscintilla2-dev (<< 2.10)
 Description: Scintilla source code editing widget for Qt4, development files
  QScintilla is a text editor for Qt4 with features especially useful when
  writing and debugging source code. These include support for syntax
@@ -204,15 +241,16 @@
  This package contains development headers needed when developing
  C++ applications that use QScintilla 2.
 
-Package: libqt5scintilla2-dev
+Package: libqscintilla2-qt5-dev
 Section: libdevel
 Architecture: any
-Depends: libqt5scintilla2-12v5 (<< ${source:Upstream-Version}+1~),
-         libqt5scintilla2-12v5 (>= ${source:Upstream-Version}),
+Depends: libqscintilla2-qt5-13 (<< ${source:Upstream-Version}+1~),
+         libqscintilla2-qt5-13 (>= ${source:Upstream-Version}),
          qtbase5-dev,
          ${misc:Depends}
-Breaks: libqt5scintilla2-12v5 (<< 2.9.1+dfsg-3~)
-Replaces: libqt5scintilla2-12v5 (<< 2.9.1+dfsg-3~)
+Provides: libqt5scintilla2-dev
+Breaks: libqt5scintilla2-12v5 (<< 2.9.1+dfsg-3~), libqt5scintilla-dev (<< 2.10)
+Replaces: libqt5scintilla2-12v5 (<< 2.9.1+dfsg-3~), lilbqt5scintilla-dev (<< 2.10)
 Description: Scintilla source code editing widget for Qt5, development files
  QScintilla is a text editor for Qt5 with features especially useful when
  writing and debugging source code. These include support for syntax
@@ -255,49 +293,3 @@
 Description: Development files for Python Qscintilla2 (Qt4)
  This package contains the source SIP files from which the Python bindings for
  Qscintilla2 (Qt4) are created. They are needed for building PyQt4 bindindgs
- for Qscintilla2 as well as creating bindings for own widgets written in C++.
-
-Package: python-qscintilla2-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: python-dbg,
-         python-qscintilla2 (= ${binary:Version}),
-         python-qt4-dbg,
-         python-sip-dbg,
-         ${misc:Depends}
-Description: Python bindings for QScintilla 2 (debug extensions)
- QScintilla is a text editor for Qt4 with features especially useful when
- writing and debugging source code. These include support for syntax
- styling, error indicators, code completion, call tips and margins.
- .
- This package contains the extensions built for the Python debug interpreter.
-
-Package: python3-pyqt4.qsci
-Section: python
-Architecture: any
-Depends: python3-pyqt4,
-         ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends},
-         ${sip3:Depends}
-Description: Python 3 bindings for QScintilla 2 with Qt 4
- QScintilla is a text editor for Qt4 with features especially useful when
- writing and debugging source code. These include support for syntax
- styling, error indicators, code completion, call tips and margins.
- .
- This package contains Python 3 bindings so QScintilla 2 can be used in
- PyQt4 applications.
-
-Package: python3-pyqt4.qsci-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: python3-dbg,
-         python3-pyqt4-dbg,
-         python3-pyqt4.qsci (= ${binary:Version}),
-         python3-sip-dbg,
-         ${misc:Depends}
-Description: Python 3 bindings for QScintilla 2 (Qt 4 debug extensions)
- QScintilla is a text editor for Qt4 with features especially useful when
- writing and debugging source code. These include support for syntax
