=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 endif
 
 # Update this on SO name bumps so files get shoved around correctly
-SONAME=12v5
+SONAME=13
 
 # Not all archs have Qt5 yet.  This test means python3-pyqt5 is installed
 qt5 := "no"
@@ -175,27 +175,23 @@
 	mkdir -p $(CURDIR)/debian/libqscintilla2-doc/usr/share/qt4/api/python3
 	cp $(CURDIR)/Python/build-$(shell py3versions -dv)/QScintilla2.api $(CURDIR)/debian/libqscintilla2-doc/usr/share/qt4/api/python3
 ifeq ($(qt5), "yes")
-	cd QSciQt5 && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/libqt5scintilla2-$(SONAME) install
-	mkdir -p $(CURDIR)/debian/libqt5scintilla2-dev/usr/include/$(DEB_HOST_MULTIARCH)/qt5/Qsci
-	mkdir -p $(CURDIR)/debian/libqt5scintilla2-dev/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/features
+	cd QSciQt5 && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/libqscintilla2-qt5-$(SONAME) install
+	mkdir -p $(CURDIR)/debian/libqscintilla2-qt5-dev/usr/include/$(DEB_HOST_MULTIARCH)/qt5/Qsci
+	mkdir -p $(CURDIR)/debian/libqscintilla2-qt5-dev/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/features
 	mkdir -p $(CURDIR)/debian/libqscintilla2-doc/usr/share/qt5/api/python3
-	cp $(CURDIR)/debian/libqt5scintilla2-$(SONAME)/usr/include/$(DEB_HOST_MULTIARCH)/qt5/Qsci/*.h $(CURDIR)/debian/libqt5scintilla2-dev/usr/include/$(DEB_HOST_MULTIARCH)/qt5/Qsci/
-	rm -rf $(CURDIR)/debian/libqt5scintilla2-$(SONAME)/usr/include
-	mv $(CURDIR)/debian/libqt5scintilla2-$(SONAME)/usr/lib/*.so $(CURDIR)/debian/libqt5scintilla2-dev/usr/lib
-	cp $(CURDIR)/debian/libqt5scintilla2-$(SONAME)/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/features/* $(CURDIR)/debian/libqt5scintilla2-dev/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/features
-	rm -rf $(CURDIR)/debian/libqt5scintilla2-$(SONAME)/usr/lib/$(DEB_HOST_MULTIARCH)
-	cd designer-Qt5 && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/libqt5scintilla2-designer install
-	mkdir -p $(CURDIR)/debian/libqt5scintilla2-l10n/usr/share/qt5/translations
-	cp $(CURDIR)/debian/libqt5scintilla2-$(SONAME)/usr/share/qt5/translations/* $(CURDIR)/debian/libqt5scintilla2-l10n/usr/share/qt5/translations
+	cp $(CURDIR)/debian/libqscintilla2-qt5-$(SONAME)/usr/include/$(DEB_HOST_MULTIARCH)/qt5/Qsci/*.h $(CURDIR)/debian/libqscintilla2-qt5-dev/usr/include/$(DEB_HOST_MULTIARCH)/qt5/Qsci/
+	rm -rf $(CURDIR)/debian/libqscintilla2-qt5-$(SONAME)/usr/include
+	mv $(CURDIR)/debian/libqscintilla2-qt5-$(SONAME)/usr/lib/*.so $(CURDIR)/debian/libqscintilla2-qt5-dev/usr/lib
+	cp $(CURDIR)/debian/libqscintilla2-qt5-$(SONAME)/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/features/* $(CURDIR)/debian/libqscintilla2-qt5-dev/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/features
+	rm -rf $(CURDIR)/debian/libqscintilla2-qt5-$(SONAME)/usr/lib/$(DEB_HOST_MULTIARCH)
+	cd designer-Qt5 && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/libqscintilla2-qt5-designer install
+	mkdir -p $(CURDIR)/debian/libqscintilla2-qt5-l10n/usr/share/qt5/translations
+	cp $(CURDIR)/debian/libqscintilla2-qt5-$(SONAME)/usr/share/qt5/translations/* $(CURDIR)/debian/libqscintilla2-qt5-l10n/usr/share/qt5/translations
 	mkdir -p $(CURDIR)/debian/libqscintilla2-doc/usr/share/qt5/qsci/api/python
-	cp $(CURDIR)/debian/libqt5scintilla2-$(SONAME)/usr/share/qt5/qsci/api/python/* $(CURDIR)/debian/libqscintilla2-doc/usr/share/qt5/qsci/api/python
-	rm -rf $(CURDIR)/debian/libqt5scintilla2-$(SONAME)/usr/share/qt5
+	cp $(CURDIR)/debian/libqscintilla2-qt5-$(SONAME)/usr/share/qt5/qsci/api/python/* $(CURDIR)/debian/libqscintilla2-doc/usr/share/qt5/qsci/api/python
+	rm -rf $(CURDIR)/debian/libqscintilla2-qt5-$(SONAME)/usr/share/qt5
 	cp $(CURDIR)/Python/buildqt5-$(shell py3versions -dv)/QScintilla2.api $(CURDIR)/debian/libqscintilla2-doc/usr/share/qt5/api/python3
 endif
 	cd designer-Qt4Qt5 && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install
 	for p in $(PYTHONS) ; do \
                 $(MAKE) -f debian/rules install-python-$$p || exit 1;\
-        done
-
-binary-common:
-	dh_testdir
