=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://sf.net/pyqt/QScintilla_gpl-(.*)\.tar\.gz
