## qscintilla2 2.10.4+dfsg

=== debian/changelog ===
qscintilla2 (2.10.4+dfsg-2.1+rpi1) buster-staging; urgency=medium

  [changes brought forward from 2.10.2+dfsg-4+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 11 Jan 2018 16:07:42 +0000]
  * Add symbols file hack for Raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Tue, 18 Jun 2019 09:24:35 +0000

qscintilla2 (2.10.4+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * libqscintilla2-qt4-13: Add Breaks against libqscintilla2-3 from lenny
    since some upgrade paths uncleanly delete files, causing debsums to
    complain about missing /usr/share/qt4/translations/qscintilla_ru.qm.
    (Closes: #925403)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 16 Jun 2019 14:55:29 +0200

qscintilla2 (2.10.4+dfsg-2) unstable; urgency=medium

  [ Scott Kitterman ]
  * Update symbols files from build logs (note: hppa not updated because the
    hppa differences are due to Qt 5.10 not being built for hppa)
  * Remove myself from uploaders

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field
  * d/watch: Use https protocol

  [ Gudjon I. Gudjonsson ]
  * Add a patch to link designer (Closes: #907172)
  * Mark -l10n and -doc packages Multi-Arch: foreign. 
    Thanks to Helmut Grohne (Closes: #912829)
  * Bump standards version to 4.3.0.2, no changes needed
  * Change debhelper dependency to 12
  * Update symbols files from build log

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 21 Feb 2019 19:34:03 +0100

qscintilla2 (2.10.4+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/rules: Remove trailing whitespaces

  [ Scott Kitterman ]
  * New upstream release
    - Refresh patches
    - Update debian/copyright
  * Bump stanards-version to 4.1.4 without further change
  * Correct armhf symbols in debian/libqscintilla2-qt5-13.symbols from 2.10.2
  * Update debian/rules to account for QT_SELECT defaulting to Qt5 now
  * Update symbols file for Qt 5.10 and QScintilla2 2.10.4 changes (Closes:
    #896459)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 29 Apr 2018 16:21:06 -0400
