=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
 
-PYTHON3S := $(shell py3versions -vr debian/control) 
+PYTHON3S := $(shell py3versions -vr debian/control)
 PYTHONS := $(shell pyversions -vr debian/control) $(PYTHON3S)
 ifneq (/usr/share/pkg-kde-tools/bin,$(filter /usr/share/pkg-kde-tools/bin,$(subst :, ,$(PATH))))
     export PATH := /usr/share/pkg-kde-tools/bin:$(PATH)
@@ -41,6 +41,10 @@
 
 configure-stamp:
 	dh_testdir
+	sed -i 's/(arch=armel)/(optional=meh)/' debian/libqscintilla2-qt4-13.symbols
+	sed -i 's/(arch=!armel)/(optional=meh2)/' debian/libqscintilla2-qt4-13.symbols
+	sed -i 's/(arch=armel)/(optional=meh)/' debian/libqscintilla2-qt5-13.symbols
+	sed -i 's/(arch=!armel)/(optional=meh2)/' debian/libqscintilla2-qt5-13.symbols
 	mkdir QSciQt4
 	cp -r Qt4Qt5/* QSciQt4
 	mkdir designer-Qt4
@@ -62,11 +66,11 @@
 	dh_testdir
 	mkdir -p Python/build-$*
 	cd Python/build-$* \
-		&& python$* ../configure.py -n ../../QSciQt4/ -o ../../QSciQt4 \
+	  && QT_SELECT=qt4-$(DEB_HOST_MULTIARCH) python$* ../configure.py -n ../../QSciQt4/ -o ../../QSciQt4 \
 		--sip-incdir=/usr/include/python$* -c --qsci-incdir=../../QSciQt4 \
 		--qsci-libdir=../../QSciQt4 --destdir=$(CUR_DIR)/usr/lib/python$*/dist-packages/PyQt4
 ifeq ($(qt5), "yes")
-	mkdir -p Python/buildqt5-$* 
+	mkdir -p Python/buildqt5-$*
 	cd Python/buildqt5-$* \
 	  && QT_SELECT=qt5-$(DEB_HOST_MULTIARCH) python$* ../configure.py -n ../../QSciQt5/ -o ../../QSciQt5 \
 	  --sip-incdir=/usr/include/python$* -c --qsci-incdir=../../QSciQt5 --pyqt=PyQt5 \
@@ -79,18 +83,18 @@
 	dh_testdir
 	mkdir -p Python/dbg-build-$*
 	cd Python/dbg-build-$* \
-		&& python$*-dbg ../configure.py -n ../../QSciQt4/ -o ../../QSciQt4 \
+	  && QT_SELECT=qt4-$(DEB_HOST_MULTIARCH) python$*-dbg ../configure.py -n ../../QSciQt4/ -o ../../QSciQt4 \
 		--sip-incdir=/usr/include/python$* -c --qsci-incdir=../../QSciQt4 \
 		--qsci-libdir=../../QSciQt4 --destdir=$(CUR_DIR)/usr/lib/python$*/dist-packages/PyQt4 \
-		--debug 
+		--debug
 ifeq ($(qt5), "yes")
-	mkdir -p Python/dbg-buildqt5-$* 
+	mkdir -p Python/dbg-buildqt5-$*
 	cd Python/dbg-buildqt5-$* \
 	  && QT_SELECT=qt5-$(DEB_HOST_MULTIARCH) python$*-dbg ../configure.py -n ../../QSciQt5/ -o ../../QSciQt5 \
 	  --sip-incdir=/usr/include/python$* -c --qsci-incdir=../../QSciQt5 --pyqt=PyQt5 \
 	  --qsci-libdir=../../QSciQt5 --qmake=/usr/bin/qmake \
 	  --destdir=$(CUR_DIR)/usr/lib/python$*/dist-packages/PyQt5 \
-	  --debug 
+	  --debug
 endif
 	touch $@
 
@@ -135,12 +139,16 @@
 	rm -rf designer-Qt5
 	rm -f *-stamp
 
-	dh_clean 
+	dh_clean
+	sed -i 's/(optional=meh)/(arch=armel)/' debian/libqscintilla2-qt4-13.symbols
+	sed -i 's/(optional=meh2)/(arch=!armel)/' debian/libqscintilla2-qt4-13.symbols
+	sed -i 's/(optional=meh)/(arch=armel)/' debian/libqscintilla2-qt5-13.symbols
+	sed -i 's/(optional=meh2)/(arch=!armel)/' debian/libqscintilla2-qt5-13.symbols
 
 d3_qt4_dbg = debian/python3-pyqt4.qsci-dbg
 d3_qt5_dbg = debian/python3-pyqt5.qsci-dbg
 
-install-python-3%: 
+install-python-3%:
 	$(MAKE) -C Python/build-3$* install INSTALL_ROOT=$(CURDIR)/debian/tmp DESTDIR=$(CURDIR)/debian/tmp
 	$(MAKE) -C Python/dbg-build-3$* install INSTALL_ROOT=$(CURDIR)/debian/tmp DESTDIR=$(CURDIR)/$(d3_qt4_dbg)
 
@@ -151,12 +159,12 @@
 	ABITAG=`python3$* -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"`; \
 	  for f in `find debian/tmp/usr/lib/python3* -name '*.so' ! -name '*.cpython*.so'`; do \
 	  mv $$f $${f%.so}.$$ABITAG.so || exit 1; \
-	done; 
+	done;
 
 d_qt4_dbg = debian/python-qscintilla2-dbg
 d_qt5_dbg = debian/python-pyqt5.qsci-dbg
 
-install-python-%: 
+install-python-%:
 	$(MAKE) -C Python/build-$* install INSTALL_ROOT=$(CURDIR)/debian/tmp DESTDIR=$(CURDIR)/debian/tmp
 	$(MAKE) -C Python/dbg-build-$* install INSTALL_ROOT=$(CURDIR)/debian/tmp DESTDIR=$(CURDIR)/$(d_qt4_dbg)
 
@@ -186,12 +194,3 @@
 	rm -rf $(CURDIR)/debian/libqscintilla2-qt5-$(SONAME)/usr/lib/$(DEB_HOST_MULTIARCH)
 	cd designer-Qt5 && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/libqscintilla2-qt5-designer install
 	mkdir -p $(CURDIR)/debian/libqscintilla2-qt5-l10n/usr/share/qt5/translations
-	cp $(CURDIR)/debian/libqscintilla2-qt5-$(SONAME)/usr/share/qt5/translations/* $(CURDIR)/debian/libqscintilla2-qt5-l10n/usr/share/qt5/translations
-	mkdir -p $(CURDIR)/debian/libqscintilla2-doc/usr/share/qt5/qsci/api/python
-	cp $(CURDIR)/debian/libqscintilla2-qt5-$(SONAME)/usr/share/qt5/qsci/api/python/* $(CURDIR)/debian/libqscintilla2-doc/usr/share/qt5/qsci/api/python
-	rm -rf $(CURDIR)/debian/libqscintilla2-qt5-$(SONAME)/usr/share/qt5
-	cp $(CURDIR)/Python/buildqt5-$(shell py3versions -dv)/QScintilla2.api $(CURDIR)/debian/libqscintilla2-doc/usr/share/qt5/api/python3
-endif
-	cd designer-Qt4Qt5 && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install
-	for p in $(PYTHONS) ; do \
-                $(MAKE) -f debian/rules install-python-$$p || exit 1;\
